// 
// This C file is generated automatically
// (C) Copyright Verified Systems International GmbH
// 

#include "ifm123.a2c.h"

const int e2chanParm[NO_OF_EVENTS][NO_OF_PARMS+1] =
 {
 { ctrl,speedUp,0 }, { ctrl,speedUp,1 }, { ctrl,speedUp,2 }, { ctrl,speedUp,3 }, { ctrl,speedUp,4 },
 { ctrl,speedUp,5 }, { ctrl,slowDown,0 }, { ctrl,slowDown,1 }, { ctrl,slowDown,2 }, { ctrl,slowDown,3 },
 { ctrl,slowDown,4 }, { ctrl,slowDown,5 }, { ctrl,steady,0 }, { ctrl,steady,1 }, { ctrl,steady,2 },
 { ctrl,steady,3 }, { ctrl,steady,4 }, { ctrl,steady,5 }, { maxSpeedReached }, { zeroSpeedReached },
 { speed,0 }, { speed,1 }, { speed,2 }, { speed,3 }, { speed,4 },
 { speed,5 }, { speed,6 }, { speed,7 }, { speed,8 }, { speed,9 },
 { speed,10 }, { speed,11 }, { speed,12 }, { speed,13 }, { speed,14 },
 { speed,15 }, { speed,16 }, { speed,17 }, { speed,18 }, { speed,19 },
 { speed,20 }, { speed,21 }, { speed,22 }, { speed,23 }, { speed,24 },
 { speed,25 }, { speed,26 }, { speed,27 }, { speed,28 }, { speed,29 },
 { speed,30 }, { speed,31 }, { speed,32 }, { speed,33 }, { speed,34 },
 { speed,35 }, { speed,36 }, { speed,37 }, { speed,38 }, { speed,39 },
 { speed,40 }, { speed,41 }, { speed,42 }, { speed,43 }, { speed,44 },
 { speed,45 }, { speed,46 }, { speed,47 }, { speed,48 }, { speed,49 },
 { speed,50 }, { accelerate,0 }, { accelerate,1 }, { accelerate,2 }, { accelerate,3 },
 { accelerate,4 }, { accelerate,5 }, { brake,0 }, { brake,1 }, { brake,2 },
 { brake,3 }, { brake,4 }, { brake,5 }
};

const int noOfParms[NO_OF_EVENTS] =
 {
 3,3,3,3,3,3,3,3,3,3,
 3,3,3,3,3,3,3,3,1,1,
 2,2,2,2,2,2,2,2,2,2,
 2,2,2,2,2,2,2,2,2,2,
 2,2,2,2,2,2,2,2,2,2,
 2,2,2,2,2,2,2,2,2,2,
 2,2,2,2,2,2,2,2,2,2,
 2,2,2,2,2,2,2,2,2,2,
 2,2,2
};

/*
\begin{verbatim}
//////////////////////////////////////////////////////////////////////
//
// Verified Systems International GmbH
// Parkstrasse 78 
// D-28209 Bremen
// Germany
// Tel.  : +49 421 344576
// Fax   : +49 421 344586
// e-mail: info@verified.de
//
//--------------------------------------------------------------------
//
// (C) Copyright Verified Systems International GmbH $Date: 2000/09/26 06:11:24 $
//
//--------------------------------------------------------------------
//
// Produkt: RT-Tester
//
//--------------------------------------------------------------------
//
// File Identification: rttevent2chan.c
//
// $Header: /lion/home/repository/VVTCVS/CVS/rtt-demo/ifm1/src/ifm123.a2c.c,v 1.1.1.1 2000/09/26 06:11:24 steenbo Exp $
//
// $Revision: 1.1.1.1 $
//
// First edition by: Jan Peleska
// Last update by $Author: steenbo $
//
//--------------------------------------------------------------------
//
// Description: 
// template file providing conversion functions 
//      event-number ----> channel name
//      event-number ----> channel-parameter-value 
// The template file is used by the event2chan command script.
//
//--------------------------------------------------------------------*/


/*--------------------------------------------------------------------
===================
rttChanOf
===================

Return enum value of the channel associated with an event number.

INPUTS:

 event : event number

RETURNS:

 enum value of the channel associated with event,
 if this cannot be found, the return value is -1.

--------------------------------------------------------------------*/


int rttChanOf(int event) {

  if ( event < 0 
       || NO_OF_EVENTS <= event )
    return -1;

  return e2chanParm[event][0];

}

/*--------------------------------------------------------------------
===================
rttParmOf
===================

Return enum value of a parameter  associated with an event number.

INPUTS:

 event : event number
 parmNum: parameter number. If the CSP channel is structured as
          channelName.p1.p2.p3, parmNum may have the values 1..3.

RETURNS:

 enum value of the parameter number  parmNum  associated with event,
 if this cannot be found, the return value is -1.

--------------------------------------------------------------------*/

int rttParmOf(int event, int parmNum) {

  if ( event < 0 
       || NO_OF_EVENTS <= event
       || noOfParms[event] < parmNum
       || parmNum <= 0 )
    return -1;

  return e2chanParm[event][parmNum];

}


/*//////////////////////////////////////////////////////////////
//
// Change History:
//
// $Log: ifm123.a2c.c,v $
// Revision 1.1.1.1  2000/09/26 06:11:24  steenbo
// initial.
//
// Revision 3.2  2000/07/11 19:22:56  jp
// Release Baseline 3.2
//
// Revision 1.1  2000/04/13 07:16:50  jp
// first edition.
//
//
///////////////////////////////////////////////////////////////
\end{verbatim}
*/
